@ -665,6 +665,8 @@ OBJEXT
CPP
CPP
GREP
GREP
EGREP
EGREP
MPICC
MPILIBS
PSBLAS_DIR
PSBLAS_DIR
INSTALL
INSTALL
INSTALL_DIR
INSTALL_DIR
@ -687,7 +689,8 @@ CFLAGS
LDFLAGS
LDFLAGS
LIBS
LIBS
CPPFLAGS
CPPFLAGS
CPP'
CPP
MPICC'
# Initialize some variables set by options.
# Initialize some variables set by options.
@ -1297,6 +1300,7 @@ Some influential environment variables:
CPPFLAGS C/C++/Objective C preprocessor flags, e.g. -I<include dir> if
CPPFLAGS C/C++/Objective C preprocessor flags, e.g. -I<include dir> if
you have headers in a nonstandard directory <include dir>
you have headers in a nonstandard directory <include dir>
CPP C preprocessor
CPP C preprocessor
MPICC MPI C compiler command
Use these variables to override the choices made by `configure' or to help
Use these variables to override the choices made by `configure' or to help
it to find libraries and programs with nonstandard names/locations.
it to find libraries and programs with nonstandard names/locations.
@ -3677,6 +3681,402 @@ else
UMF_FLAGS=""
UMF_FLAGS=""
fi
fi
ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
if test "X$MPICC" = "X" ; then
# This is our MPICC compiler preference: it will override ACX_MPI's first try.
for ac_prog in mpxlc mpcc pgcc mpicc
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
if test "${ac_cv_prog_MPICC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
if test -n "$MPICC"; then
ac_cv_prog_MPICC="$MPICC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for ac_exec_ext in '' $ac_executable_extensions; do
if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
ac_cv_prog_MPICC="$ac_prog"
echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
break 2
fi
done
done
IFS=$as_save_IFS
fi
fi
MPICC=$ac_cv_prog_MPICC
if test -n "$MPICC"; then
{ echo "$as_me:$LINENO: result: $MPICC" >&5
echo "${ECHO_T}$MPICC" >&6; }
else
{ echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
fi
test -n "$MPICC" && break
done
fi
for ac_prog in mpicc hcc mpxlc_r mpxlc mpcc cmpicc
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
if test "${ac_cv_prog_MPICC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
if test -n "$MPICC"; then
ac_cv_prog_MPICC="$MPICC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for ac_exec_ext in '' $ac_executable_extensions; do
if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
ac_cv_prog_MPICC="$ac_prog"
echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
break 2
fi
done
done
IFS=$as_save_IFS
fi
fi
MPICC=$ac_cv_prog_MPICC
if test -n "$MPICC"; then
{ echo "$as_me:$LINENO: result: $MPICC" >&5
echo "${ECHO_T}$MPICC" >&6; }
else
{ echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
fi
test -n "$MPICC" && break
done
test -n "$MPICC" || MPICC="$CC"
acx_mpi_save_CC="$CC"
CC="$MPICC"
if test x = x"$MPILIBS"; then
{ echo "$as_me:$LINENO: checking for MPI_Init" >&5
echo $ECHO_N "checking for MPI_Init... $ECHO_C" >&6; }
if test "${ac_cv_func_MPI_Init+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Define MPI_Init to an innocuous variant, in case <limits.h> declares MPI_Init.
For example, HP-UX 11i <limits.h> declares gettimeofday. */
#define MPI_Init innocuous_MPI_Init
/* System header to define __stub macros and hopefully few prototypes,
which can conflict with char MPI_Init (); below.
Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
<limits.h> exists even on freestanding compilers. */
#ifdef __STDC__
# include <limits.h>
#else
# include <assert.h>
#endif
#undef MPI_Init
/* Override any GCC internal prototype to avoid an error.
Use char because int might match the return type of a GCC
builtin and then its argument prototype would still apply. */
#ifdef __cplusplus
extern "C"
#endif
char MPI_Init ();
/* The GNU C library defines this for functions which it implements
to always fail with ENOSYS. Some functions are actually named
something starting with __ and the normal name is an alias. */
#if defined __stub_MPI_Init || defined __stub___MPI_Init
choke me
#endif
int
main ()
{
return MPI_Init ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_link") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
ac_cv_func_MPI_Init=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_func_MPI_Init=no
fi
rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
conftest$ac_exeext conftest.$ac_ext
fi
{ echo "$as_me:$LINENO: result: $ac_cv_func_MPI_Init" >&5
echo "${ECHO_T}$ac_cv_func_MPI_Init" >&6; }
if test $ac_cv_func_MPI_Init = yes; then
MPILIBS=" "
fi
fi
if test x = x"$MPILIBS"; then
{ echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6; }
if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lmpi $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any GCC internal prototype to avoid an error.
Use char because int might match the return type of a GCC
builtin and then its argument prototype would still apply. */
#ifdef __cplusplus
extern "C"
#endif
char MPI_Init ();
int
main ()
{
return MPI_Init ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_link") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
ac_cv_lib_mpi_MPI_Init=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_lib_mpi_MPI_Init=no
fi
rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6; }
if test $ac_cv_lib_mpi_MPI_Init = yes; then
MPILIBS="-lmpi"
fi
fi
if test x = x"$MPILIBS"; then
{ echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
echo $ECHO_N "checking for MPI_Init in -lmpich... $ECHO_C" >&6; }
if test "${ac_cv_lib_mpich_MPI_Init+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lmpich $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any GCC internal prototype to avoid an error.
Use char because int might match the return type of a GCC
builtin and then its argument prototype would still apply. */
#ifdef __cplusplus
extern "C"
#endif
char MPI_Init ();
int
main ()
{
return MPI_Init ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_link") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
ac_cv_lib_mpich_MPI_Init=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_lib_mpich_MPI_Init=no
fi
rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ echo "$as_me:$LINENO: result: $ac_cv_lib_mpich_MPI_Init" >&5
echo "${ECHO_T}$ac_cv_lib_mpich_MPI_Init" >&6; }
if test $ac_cv_lib_mpich_MPI_Init = yes; then
MPILIBS="-lmpich"
fi
fi
if test x != x"$MPILIBS"; then
{ echo "$as_me:$LINENO: checking for mpi.h" >&5
echo $ECHO_N "checking for mpi.h... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <mpi.h>
int
main ()
{
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
{ echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6; }
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
MPILIBS=""
{ echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
CC="$acx_mpi_save_CC"
# Finally, execute ACTION-IF-FOUND/ACTION-IF-NOT-FOUND:
if test x = x"$MPILIBS"; then
{ { echo "$as_me:$LINENO: error: Cannot find any suitable MPI implementation for C" >&5
echo "$as_me: error: Cannot find any suitable MPI implementation for C" >&2;}
{ (exit 1); exit 1; }; }
:
else
cat >>confdefs.h <<\_ACEOF
#define HAVE_MPI 1
_ACEOF
:
fi
# Check whether --with-superlu was given.
# Check whether --with-superlu was given.
if test "${with_superlu+set}" = set; then
if test "${with_superlu+set}" = set; then
@ -3709,18 +4109,18 @@ LIBS="$SLU_LIBS $LIBS"
CPPFLAGS="$SLU_INCLUDES $CPPFLAGS"
CPPFLAGS="$SLU_INCLUDES $CPPFLAGS"
{ echo "$as_me:$LINENO: slu dir $mld2p4_cv_superludir" >&5
{ echo "$as_me:$LINENO: slu dir $mld2p4_cv_superludir" >&5
echo "$as_me: slu dir $mld2p4_cv_superludir" >&6;}
echo "$as_me: slu dir $mld2p4_cv_superludir" >&6;}
if test "${ac_cv_header_dsp_ defs_h+set}" = set; then
if test "${ac_cv_header_slu_d defs_h+set}" = set; then
{ echo "$as_me:$LINENO: checking for dsp_ defs.h" >&5
{ echo "$as_me:$LINENO: checking for slu_d defs.h" >&5
echo $ECHO_N "checking for dsp_ defs.h... $ECHO_C" >&6; }
echo $ECHO_N "checking for slu_d defs.h... $ECHO_C" >&6; }
if test "${ac_cv_header_dsp_ defs_h+set}" = set; then
if test "${ac_cv_header_slu_d defs_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
echo $ECHO_N "(cached) $ECHO_C" >&6
fi
fi
{ echo "$as_me:$LINENO: result: $ac_cv_header_dsp_ defs_h" >&5
{ echo "$as_me:$LINENO: result: $ac_cv_header_slu_d defs_h" >&5
echo "${ECHO_T}$ac_cv_header_dsp_ defs_h" >&6; }
echo "${ECHO_T}$ac_cv_header_slu_d defs_h" >&6; }
else
else
# Is the header compilable?
# Is the header compilable?
{ echo "$as_me:$LINENO: checking dsp_ defs.h usability" >&5
{ echo "$as_me:$LINENO: checking slu_d defs.h usability" >&5
echo $ECHO_N "checking dsp_ defs.h usability... $ECHO_C" >&6; }
echo $ECHO_N "checking slu_d defs.h usability... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
/* confdefs.h. */
_ACEOF
_ACEOF
@ -3728,7 +4128,7 @@ cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* end confdefs.h. */
$ac_includes_default
$ac_includes_default
#include <dsp_ defs.h>
#include <slu_d defs.h>
_ACEOF
_ACEOF
rm -f conftest.$ac_objext
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
if { (ac_try="$ac_compile"
@ -3760,15 +4160,15 @@ rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
echo "${ECHO_T}$ac_header_compiler" >&6; }
echo "${ECHO_T}$ac_header_compiler" >&6; }
# Is the header present?
# Is the header present?
{ echo "$as_me:$LINENO: checking dsp_ defs.h presence" >&5
{ echo "$as_me:$LINENO: checking slu_d defs.h presence" >&5
echo $ECHO_N "checking dsp_ defs.h presence... $ECHO_C" >&6; }
echo $ECHO_N "checking slu_d defs.h presence... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
/* confdefs.h. */
_ACEOF
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* end confdefs.h. */
#include <dsp_ defs.h>
#include <slu_d defs.h>
_ACEOF
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
if { (ac_try="$ac_cpp conftest.$ac_ext"
case "(($ac_try" in
case "(($ac_try" in
@ -3801,25 +4201,25 @@ echo "${ECHO_T}$ac_header_preproc" >&6; }
# So? What about this header?
# So? What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
yes:no: )
yes:no: )
{ echo "$as_me:$LINENO: WARNING: dsp_ defs.h: accepted by the compiler, rejected by the preprocessor!" >&5
{ echo "$as_me:$LINENO: WARNING: slu_d defs.h: accepted by the compiler, rejected by the preprocessor!" >&5
echo "$as_me: WARNING: dsp_ defs.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
echo "$as_me: WARNING: slu_d defs.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
{ echo "$as_me:$LINENO: WARNING: dsp_ defs.h: proceeding with the compiler's result" >&5
{ echo "$as_me:$LINENO: WARNING: slu_d defs.h: proceeding with the compiler's result" >&5
echo "$as_me: WARNING: dsp_ defs.h: proceeding with the compiler's result" >&2;}
echo "$as_me: WARNING: slu_d defs.h: proceeding with the compiler's result" >&2;}
ac_header_preproc=yes
ac_header_preproc=yes
;;
;;
no:yes:* )
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: dsp_ defs.h: present but cannot be compiled" >&5
{ echo "$as_me:$LINENO: WARNING: slu_d defs.h: present but cannot be compiled" >&5
echo "$as_me: WARNING: dsp_ defs.h: present but cannot be compiled" >&2;}
echo "$as_me: WARNING: slu_d defs.h: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: dsp_ defs.h: check for missing prerequisite headers?" >&5
{ echo "$as_me:$LINENO: WARNING: slu_d defs.h: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: dsp_ defs.h: check for missing prerequisite headers?" >&2;}
echo "$as_me: WARNING: slu_d defs.h: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: dsp_ defs.h: see the Autoconf documentation" >&5
{ echo "$as_me:$LINENO: WARNING: slu_d defs.h: see the Autoconf documentation" >&5
echo "$as_me: WARNING: dsp_ defs.h: see the Autoconf documentation" >&2;}
echo "$as_me: WARNING: slu_d defs.h: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: dsp_ defs.h: section \"Present But Cannot Be Compiled\"" >&5
{ echo "$as_me:$LINENO: WARNING: slu_d defs.h: section \"Present But Cannot Be Compiled\"" >&5
echo "$as_me: WARNING: dsp_ defs.h: section \"Present But Cannot Be Compiled\"" >&2;}
echo "$as_me: WARNING: slu_d defs.h: section \"Present But Cannot Be Compiled\"" >&2;}
{ echo "$as_me:$LINENO: WARNING: dsp_ defs.h: proceeding with the preprocessor's result" >&5
{ echo "$as_me:$LINENO: WARNING: slu_d defs.h: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: dsp_ defs.h: proceeding with the preprocessor's result" >&2;}
echo "$as_me: WARNING: slu_d defs.h: proceeding with the preprocessor's result" >&2;}
{ echo "$as_me:$LINENO: WARNING: dsp_ defs.h: in the future, the compiler will take precedence" >&5
{ echo "$as_me:$LINENO: WARNING: slu_d defs.h: in the future, the compiler will take precedence" >&5
echo "$as_me: WARNING: dsp_ defs.h: in the future, the compiler will take precedence" >&2;}
echo "$as_me: WARNING: slu_d defs.h: in the future, the compiler will take precedence" >&2;}
( cat <<\_ASBOX
( cat <<\_ASBOX
## ---------------------------------------------- ##
## ---------------------------------------------- ##
## Report this to salvatore.filippone@uniroma2.it ##
## Report this to salvatore.filippone@uniroma2.it ##
@ -3828,18 +4228,18 @@ _ASBOX
) | sed "s/^/$as_me: WARNING: /" >&2
) | sed "s/^/$as_me: WARNING: /" >&2
;;
;;
esac
esac
{ echo "$as_me:$LINENO: checking for dsp_ defs.h" >&5
{ echo "$as_me:$LINENO: checking for slu_d defs.h" >&5
echo $ECHO_N "checking for dsp_ defs.h... $ECHO_C" >&6; }
echo $ECHO_N "checking for slu_d defs.h... $ECHO_C" >&6; }
if test "${ac_cv_header_dsp_ defs_h+set}" = set; then
if test "${ac_cv_header_slu_d defs_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
echo $ECHO_N "(cached) $ECHO_C" >&6
else
else
ac_cv_header_dsp_ defs_h=$ac_header_preproc
ac_cv_header_slu_d defs_h=$ac_header_preproc
fi
fi
{ echo "$as_me:$LINENO: result: $ac_cv_header_dsp_ defs_h" >&5
{ echo "$as_me:$LINENO: result: $ac_cv_header_slu_d defs_h" >&5
echo "${ECHO_T}$ac_cv_header_dsp_ defs_h" >&6; }
echo "${ECHO_T}$ac_cv_header_slu_d defs_h" >&6; }
fi
fi
if test $ac_cv_header_dsp_ defs_h = yes; then
if test $ac_cv_header_slu_d defs_h = yes; then
pac_slu_header_ok=yes
pac_slu_header_ok=yes
else
else
pac_slu_header_ok=no; SLU_INCLUDES=""
pac_slu_header_ok=no; SLU_INCLUDES=""
@ -3938,6 +4338,8 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
save_LIBS="$LIBS"
save_LIBS="$LIBS"
save_CPPFLAGS="$CPPFLAGS"
save_CPPFLAGS="$CPPFLAGS"
save_CC="$CC"
CC=${MPICC}
if test "x$mld2p4_cv_superludistdir" != "x"; then
if test "x$mld2p4_cv_superludistdir" != "x"; then
SLUDIST_INCLUDES="-I$mld2p4_cv_superludistdir"
SLUDIST_INCLUDES="-I$mld2p4_cv_superludistdir"
SLUDIST_LIBS="-L$mld2p4_cv_superludistdir"
SLUDIST_LIBS="-L$mld2p4_cv_superludistdir"
@ -3946,18 +4348,18 @@ LIBS="$SLUDIST_LIBS $LIBS"
CPPFLAGS="$SLUDIST_INCLUDES $CPPFLAGS"
CPPFLAGS="$SLUDIST_INCLUDES $CPPFLAGS"
{ echo "$as_me:$LINENO: slu dir $mld2p4_cv_superludistdir" >&5
{ echo "$as_me:$LINENO: slu dir $mld2p4_cv_superludistdir" >&5
echo "$as_me: slu dir $mld2p4_cv_superludistdir" >&6;}
echo "$as_me: slu dir $mld2p4_cv_superludistdir" >&6;}
if test "${ac_cv_header_d sp_defs_h+set}" = set; then
if test "${ac_cv_header_su perlu _d defs_h+set}" = set; then
{ echo "$as_me:$LINENO: checking for d sp_defs.h" >&5
{ echo "$as_me:$LINENO: checking for su perlu _d defs.h" >&5
echo $ECHO_N "checking for d sp_defs.h... $ECHO_C" >&6; }
echo $ECHO_N "checking for su perlu _d defs.h... $ECHO_C" >&6; }
if test "${ac_cv_header_d sp_defs_h+set}" = set; then
if test "${ac_cv_header_su perlu _d defs_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
echo $ECHO_N "(cached) $ECHO_C" >&6
fi
fi
{ echo "$as_me:$LINENO: result: $ac_cv_header_d sp_defs_h" >&5
{ echo "$as_me:$LINENO: result: $ac_cv_header_su perlu _d defs_h" >&5
echo "${ECHO_T}$ac_cv_header_d sp_defs_h" >&6; }
echo "${ECHO_T}$ac_cv_header_su perlu _d defs_h" >&6; }
else
else
# Is the header compilable?
# Is the header compilable?
{ echo "$as_me:$LINENO: checking d sp_defs.h usability" >&5
{ echo "$as_me:$LINENO: checking su perlu _d defs.h usability" >&5
echo $ECHO_N "checking d sp_defs.h usability... $ECHO_C" >&6; }
echo $ECHO_N "checking su perlu _d defs.h usability... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
/* confdefs.h. */
_ACEOF
_ACEOF
@ -3965,7 +4367,7 @@ cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* end confdefs.h. */
$ac_includes_default
$ac_includes_default
#include <d sp_defs.h>
#include <su perlu _d defs.h>
_ACEOF
_ACEOF
rm -f conftest.$ac_objext
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
if { (ac_try="$ac_compile"
@ -3997,15 +4399,15 @@ rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
echo "${ECHO_T}$ac_header_compiler" >&6; }
echo "${ECHO_T}$ac_header_compiler" >&6; }
# Is the header present?
# Is the header present?
{ echo "$as_me:$LINENO: checking d sp_defs.h presence" >&5
{ echo "$as_me:$LINENO: checking su perlu _d defs.h presence" >&5
echo $ECHO_N "checking d sp_defs.h presence... $ECHO_C" >&6; }
echo $ECHO_N "checking su perlu _d defs.h presence... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
/* confdefs.h. */
_ACEOF
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* end confdefs.h. */
#include <d sp_defs.h>
#include <su perlu _d defs.h>
_ACEOF
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
if { (ac_try="$ac_cpp conftest.$ac_ext"
case "(($ac_try" in
case "(($ac_try" in
@ -4038,25 +4440,25 @@ echo "${ECHO_T}$ac_header_preproc" >&6; }
# So? What about this header?
# So? What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
yes:no: )
yes:no: )
{ echo "$as_me:$LINENO: WARNING: d sp_defs.h: accepted by the compiler, rejected by the preprocessor!" >&5
{ echo "$as_me:$LINENO: WARNING: su perlu _d defs.h: accepted by the compiler, rejected by the preprocessor!" >&5
echo "$as_me: WARNING: d sp_defs.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
echo "$as_me: WARNING: su perlu _d defs.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
{ echo "$as_me:$LINENO: WARNING: d sp_defs.h: proceeding with the compiler's result" >&5
{ echo "$as_me:$LINENO: WARNING: su perlu _d defs.h: proceeding with the compiler's result" >&5
echo "$as_me: WARNING: d sp_defs.h: proceeding with the compiler's result" >&2;}
echo "$as_me: WARNING: su perlu _d defs.h: proceeding with the compiler's result" >&2;}
ac_header_preproc=yes
ac_header_preproc=yes
;;
;;
no:yes:* )
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: d sp_defs.h: present but cannot be compiled" >&5
{ echo "$as_me:$LINENO: WARNING: su perlu _d defs.h: present but cannot be compiled" >&5
echo "$as_me: WARNING: d sp_defs.h: present but cannot be compiled" >&2;}
echo "$as_me: WARNING: su perlu _d defs.h: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: d sp_defs.h: check for missing prerequisite headers?" >&5
{ echo "$as_me:$LINENO: WARNING: su perlu _d defs.h: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: d sp_defs.h: check for missing prerequisite headers?" >&2;}
echo "$as_me: WARNING: su perlu _d defs.h: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: d sp_defs.h: see the Autoconf documentation" >&5
{ echo "$as_me:$LINENO: WARNING: su perlu _d defs.h: see the Autoconf documentation" >&5
echo "$as_me: WARNING: d sp_defs.h: see the Autoconf documentation" >&2;}
echo "$as_me: WARNING: su perlu _d defs.h: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: d sp_defs.h: section \"Present But Cannot Be Compiled\"" >&5
{ echo "$as_me:$LINENO: WARNING: su perlu _d defs.h: section \"Present But Cannot Be Compiled\"" >&5
echo "$as_me: WARNING: d sp_defs.h: section \"Present But Cannot Be Compiled\"" >&2;}
echo "$as_me: WARNING: su perlu _d defs.h: section \"Present But Cannot Be Compiled\"" >&2;}
{ echo "$as_me:$LINENO: WARNING: d sp_defs.h: proceeding with the preprocessor's result" >&5
{ echo "$as_me:$LINENO: WARNING: su perlu _d defs.h: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: d sp_defs.h: proceeding with the preprocessor's result" >&2;}
echo "$as_me: WARNING: su perlu _d defs.h: proceeding with the preprocessor's result" >&2;}
{ echo "$as_me:$LINENO: WARNING: d sp_defs.h: in the future, the compiler will take precedence" >&5
{ echo "$as_me:$LINENO: WARNING: su perlu _d defs.h: in the future, the compiler will take precedence" >&5
echo "$as_me: WARNING: d sp_defs.h: in the future, the compiler will take precedence" >&2;}
echo "$as_me: WARNING: su perlu _d defs.h: in the future, the compiler will take precedence" >&2;}
( cat <<\_ASBOX
( cat <<\_ASBOX
## ---------------------------------------------- ##
## ---------------------------------------------- ##
## Report this to salvatore.filippone@uniroma2.it ##
## Report this to salvatore.filippone@uniroma2.it ##
@ -4065,18 +4467,18 @@ _ASBOX
) | sed "s/^/$as_me: WARNING: /" >&2
) | sed "s/^/$as_me: WARNING: /" >&2
;;
;;
esac
esac
{ echo "$as_me:$LINENO: checking for d sp_defs.h" >&5
{ echo "$as_me:$LINENO: checking for su perlu _d defs.h" >&5
echo $ECHO_N "checking for d sp_defs.h... $ECHO_C" >&6; }
echo $ECHO_N "checking for su perlu _d defs.h... $ECHO_C" >&6; }
if test "${ac_cv_header_d sp_defs_h+set}" = set; then
if test "${ac_cv_header_su perlu _d defs_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
echo $ECHO_N "(cached) $ECHO_C" >&6
else
else
ac_cv_header_d sp_defs_h=$ac_header_preproc
ac_cv_header_su perlu _d defs_h=$ac_header_preproc
fi
fi
{ echo "$as_me:$LINENO: result: $ac_cv_header_d sp_defs_h" >&5
{ echo "$as_me:$LINENO: result: $ac_cv_header_su perlu _d defs_h" >&5
echo "${ECHO_T}$ac_cv_header_d sp_defs_h" >&6; }
echo "${ECHO_T}$ac_cv_header_su perlu _d defs_h" >&6; }
fi
fi
if test $ac_cv_header_d sp_defs_h = yes; then
if test $ac_cv_header_su perlu _d defs_h = yes; then
pac_sludist_header_ok=yes
pac_sludist_header_ok=yes
else
else
pac_sludist_header_ok=no; SLUDIST_INCLUDES=""
pac_sludist_header_ok=no; SLUDIST_INCLUDES=""
@ -4142,8 +4544,9 @@ rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
{ echo "$as_me:$LINENO: result: $pac_sludist_lib_ok" >&5
{ echo "$as_me:$LINENO: result: $pac_sludist_lib_ok" >&5
echo "${ECHO_T}$pac_sludist_lib_ok" >&6; }
echo "${ECHO_T}$pac_sludist_lib_ok" >&6; }
fi
fi
LIBS="$SAVE_LIBS";
LIBS="$save_LIBS";
CPPFLAGS="$SAVE_CPPFLAGS";
CPPFLAGS="$save_CPPFLAGS";
CC="$save_CC";
if test "x$mld2p4_cv_have_superludist" == "xyes" ; then
if test "x$mld2p4_cv_have_superludist" == "xyes" ; then
SLUDIST_FLAGS="-DHave_SLUDist_ $SLUDIST_INCLUDES"
SLUDIST_FLAGS="-DHave_SLUDist_ $SLUDIST_INCLUDES"
@ -4862,6 +5265,8 @@ OBJEXT!$OBJEXT$ac_delim
CPP!$CPP$ac_delim
CPP!$CPP$ac_delim
GREP!$GREP$ac_delim
GREP!$GREP$ac_delim
EGREP!$EGREP$ac_delim
EGREP!$EGREP$ac_delim
MPICC!$MPICC$ac_delim
MPILIBS!$MPILIBS$ac_delim
PSBLAS_DIR!$PSBLAS_DIR$ac_delim
PSBLAS_DIR!$PSBLAS_DIR$ac_delim
INSTALL!$INSTALL$ac_delim
INSTALL!$INSTALL$ac_delim
INSTALL_DIR!$INSTALL_DIR$ac_delim
INSTALL_DIR!$INSTALL_DIR$ac_delim
@ -4877,7 +5282,7 @@ LIBOBJS!$LIBOBJS$ac_delim
LTLIBOBJS!$LTLIBOBJS$ac_delim
LTLIBOBJS!$LTLIBOBJS$ac_delim
_ACEOF
_ACEOF
if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 63 ; then
if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 65 ; then
break
break
elif $ac_last_try; then
elif $ac_last_try; then
{ { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
{ { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5